## org.apache.lucene.search
Class CachingSpanFilter

    java.lang.Object
      org.apache.lucene.search.Filter
          org.apache.lucene.search.SpanFilter
              org.apache.lucene.search.CachingSpanFilter

All Implemented Interfaces:
  Serializable

    public class CachingSpanFilter

extends SpanFilter

Wraps another SpanFilter's result and caches it. The purpose is to allow filters to simply filter, and then wrap with this class to add caching.

See Also:
  Serialized Form

Field Summary
`protected Map` `cache` A transient Filter cache.
`protected SpanFilter` `filter`

Constructor Summary
`CachingSpanFilter(SpanFilter filter)`

Method Summary
`BitSet` `bits(IndexReader reader)` Returns a BitSet with true for documents which should be permitted in search results, and false for those that should not.
`SpanFilterResult` `bitSpans(IndexReader reader)` Returns a SpanFilterResult with true for documents which should be permitted in search results, and false for those that should not and Spans for where the true docs match.
`boolean` `equals(Object o)`
`int` `hashCode()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### filter

    protected SpanFilter filter

### cache

    protected transient Map cache

  A transient Filter cache. To cache Filters even when using `RemoteSearchable` use `RemoteCachingWrapperFilter` instead.

Constructor Detail

### CachingSpanFilter

    public CachingSpanFilter(SpanFilter filter)

Parameters:
  `filter` - Filter to cache results of

Method Detail

### bits

    public BitSet bits(IndexReader reader)
                throws IOException

  Description copied from class: `Filter`
  Returns a BitSet with true for documents which should be permitted in search results, and false for those that should not.

  Specified by:
    `bits` in class `Filter`
  Throws:
    `IOException`

### bitSpans

    public SpanFilterResult bitSpans(IndexReader reader)
                              throws IOException

  Description copied from class: `SpanFilter`
  Returns a SpanFilterResult with true for documents which should be permitted in search results, and false for those that should not and Spans for where the true docs match.

  Specified by:
    `bitSpans` in class `SpanFilter`
  Parameters:
    `reader` - The `IndexReader` to load position and bitset information from
  Returns:
    A `SpanFilterResult`
  Throws:
    `IOException` - if there was an issue accessing the necessary information

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.